package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCouponSubsidyType {

    // 0: 无补贴 1:微信支付立减与折扣, 2:线下结算, 3:微信付款到银行卡
    NO_SUBSIDY(0, "无补贴"),
    WECHAT_COUPON(1,"微信支付立减与折扣"),
    OFFLINE_SUBSIDY(2, "线下结算"),
    WECHAT_MCHPAY(3, "微信付款到银行卡")
    ;

    public static EnumCouponSubsidyType getEnum(Integer code) {
        for (EnumCouponSubsidyType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCouponSubsidyType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
